Summary: A tool for retrieving files using HTTP, HTTPS, FTP and FTPS
Name: wget
Version: 1.21.3
Release: 6%{?dist}
License: GPLv3+
Url: http://www.gnu.org/software/wget/
Source: https://ftp.gnu.org/gnu/wget/wget-%{version}.tar.gz

Patch0001: fix-CVE-2024-38428.patch

Patch3000: wget-1.17-path.patch
Patch3001: wget-1.21.3-metalink-gnupg.patch

BuildRequires: gcc, make, pkgconfig
BuildRequires: gnutls-devel, zlib-devel, libpsl-devel, pcre2-devel, gpgme-devel, libmetalink-devel, libuuid-devel
BuildRequires: gettext, texinfo
# needed for test suite
BuildRequires: perl(lib), perl(English), perl(HTTP::Daemon), perl-podlators
BuildRequires: python3

Provides: webclient
Provides: bundled(gnulib)

%description
GNU Wget is a free software package for retrieving files using HTTP, HTTPS,
FTP and FTPS, the most widely used Internet protocols. It is a non-interactive
commandline tool, so it may easily be called from scripts, cron jobs, terminals
without X-Windows support, etc.

%prep
%autosetup -p1



%build
%configure \
    --with-ssl=gnutls \
    --with-libpsl \
    --enable-largefile \
    --enable-opie \
    --enable-digest \
    --enable-ntlm \
    --enable-nls \
    --enable-ipv6 \
    --disable-rpath \
    --with-metalink \
    --disable-year2038

%{make_build}

%install
%{make_install}
rm -f %{buildroot}/%{_infodir}/dir

%find_lang %{name}
%find_lang %{name}-gnulib

%check
make check

%files -f %{name}.lang -f %{name}-gnulib.lang
%license COPYING
%doc AUTHORS MAILING-LIST NEWS README doc/sample.wgetrc
%config(noreplace) %{_sysconfdir}/wgetrc
%{_mandir}/man1/wget.*
%{_bindir}/wget
%{_infodir}/*

%changelog
* Wed Jun 26 2024 Weiyao Feng <wynnfeng@tencent.com> - 1.21.3-6
- [type] security
- [desc] fix CVE-2024-38428

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.21.3-5
- Rebuilt for OpenCloudOS Stream 23.09

* Mon Sep 4 2023 Shuo Wang <abushwang@tencent.com> - 1.21.3-4
- fix test fail

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.21.3-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.21.3-2
- Rebuilt for OpenCloudOS Stream 23

* Wed May 25 2022 Zhao Zhen <jeremiazhao@tencent.com> - 1.21.3-1
- Initial building.
